Pull request:    

Description

It would be nice to be able to manage IPv6 hosts/subnets within Foreman.

Dealing with PXE/DHCP over IPv6 would also be nice, but I can't imagine that being terribly easy to implement (I don't even think I

can do it on my network currently, so I'm not concerned about that).

Related issues:

Related to Foreman - Bug #8639: IPv6 address don't report correctly from pupp... New 12/09/2014

Related to Smart Proxy - Feature #13544: Support IPv6 DNS in smart-proxy Closed 02/03/2016

Related to Foreman - Refactor #14638: Refactor Subnet into STI to allow diffe... Closed 04/14/2016

Related to Foreman - Feature #14642: Support AAAA and PTR-Records for IPv6 Closed 04/14/2016

Related to Foreman - Feature #14661: Support IPv6 Subnets Closed 04/15/2016

Related to Foreman - Feature #14663: Support IPv6 DNS Orchestration Closed 04/15/2016

Related to Foreman - Feature #14664: Add IPv6 Subnet to Host, Hostgroup and N... Closed 04/15/2016

Related to Foreman - Feature #14665: Add IPv6 Support to API Closed 04/15/2016

Related to Discovery - Support #14968: Support for IPv6 New 05/09/2016

Related to Foreman - Feature #15590: Support IPv6 TFTP orchestration Closed 07/06/2016

Related to Foreman - Feature #15612: Support DHCPv6 provisioning Assigned

Related to Foreman - Feature #16951: Support IPv6 Compute Orchestration Closed 10/14/2016

Related to Foreman - Bug #17895: Foreman stores link local IPv6 address Closed 01/02/2017

History

#1 - 10/18/2013 07:48 AM - Dominic Cleal

- Description updated

- Category set to Network

#2 - 10/18/2013 07:48 AM - Dominic Cleal

- Tracker changed from Bug to Feature

#3 - 10/28/2013 08:38 AM - Dominic Cleal

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

- % Done changed from 0 to 50

WIP: https://github.com/domcleal/foreman/compare/2315-ipv6

#4 - 07/31/2014 05:49 AM - Florian Schwab

Any updates or plans when it will be implemented?

#5 - 09/16/2014 09:03 AM - Ronald van Zantvoort
IPv4 is rapidly running out here and we're now starting to recycle our own unused IPv4's (they're becoming valuable <sigh>) for our customers in

favour of an IPv6 setup. The branch already looked in pretty good shape, especially for a single commit ;)

Please consider adding at least basic subnet administration for 1.7!

#6 - 09/28/2014 07:23 PM - Clemens Bergmann

Hi There,

we currently start using foreman for autoprovisioning of new servers. The only thing missing is IPv6. So I would also be happy if we could get this into

master.

#7 - 10/31/2014 01:44 PM - Arnold Bechtoldt

+1

We need to assign IPv6 prefixes to NICs/ hosts and already have some IPv6 only setups.

#8 - 12/09/2014 09:40 PM - David LeVene

- Related to Bug #8639: IPv6 address don't report correctly from puppet reports added

#9 - 09/08/2015 11:32 AM - Tomas Olivares

Hi Dominic,

I checked the latest (and only) commit to this feature and was wondering what are you missing from this. I can see tests were added as well with

FactoryGirl, etc. (https://github.com/domcleal/foreman/compare/2315-ipv6)

Maybe someone can chime in and do those missing features/lines.

Thanks!

#10 - 09/09/2015 03:15 AM - Dominic Cleal

- Status changed from Assigned to New

- Assignee deleted (Dominic Cleal)

- % Done changed from 50 to 20

The branch is very out of date so isn't any use on current versions of Foreman - it'd need updating as all of the IP logic has moved to the NIC models.

The TODO items were:

updated views for hosts/NICs

DNS and DHCP orchestration

CIDR prefix support instead of mask

And for proper DNS and DHCP support, the smart proxy needs checking over to see how well it provides v6 support for its DNS, DHCP and TFTP

features.

#11 - 09/09/2015 03:28 AM - Marek Hulán

The biggest change I see is that in IPv6, one interface have more than one IP. Hence the question is if we should make address a first class citizen

object. At least keeping this information in Foreman as a first step would be beneficial I think.

Regarding the provisioning using DHCP6 I think the whole process would be completely different as stateful DHCP configuration in IPv6 is rare.

Anyone knows how common is it to have implementation of PXE with IPv6 support?

#12 - 02/03/2016 10:33 AM - Ewoud Kohl van Wijngaarden

- Related to Feature #13544: Support IPv6 DNS in smart-proxy added

#13 - 04/06/2016 05:29 AM - Timo Goebel

- Assignee set to Timo Goebel

I have started continuing Dominic's work.

WIP: https://github.com/theforeman/foreman/compare/develop...timogoebel:2315-ipv6?expand=1

I want to support the following workflow:

A Host can have an IPv6 Subnet attached and the address is generated via EUI64 (the same way it's done in SLAAC). A AAAA-Record and

PTR-Record is then set via Smart Proxy for that address.

I don't want to support BMC and DHCPv6, yet. Also I don't want to make the ip address a first class citizen object as of now.
I still have some items on my todo list. The larger items are EUI64 and Fact Parsing.

#14 - 04/12/2016 10:42 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3420 added

#15 - 04/14/2016 04:48 AM - Timo Goebel

- Status changed from Ready For Testing to Assigned

- Pull request deleted (https://github.com/theforeman/foreman/pull/3420)

Splitting the PR into separate tickets.

#16 - 04/14/2016 04:52 AM - Timo Goebel

- Related to Refactor #14638: Refactor Subnet into STI to allow different subnet types added

#17 - 04/14/2016 09:42 AM - Timo Goebel

- Related to Feature #14642: Support AAAA and PTR-Records for IPv6  added

#18 - 04/15/2016 07:31 AM - Timo Goebel

- Related to Feature #14661: Support IPv6 Subnets added

#19 - 04/15/2016 09:16 AM - Timo Goebel

- Related to Feature #14663: Support IPv6 DNS Orchestration added

#20 - 04/15/2016 09:17 AM - Timo Goebel

- Related to Feature #14664: Add IPv6 Subnet to Host, Hostgroup and Nic Models added

#21 - 04/15/2016 09:18 AM - Timo Goebel

- Related to Feature #14665: Add IPv6 Support to API added

#22 - 05/09/2016 09:34 AM - Lukas Zapletal

- Related to Support #14968: Support for IPv6 added

#23 - 05/10/2016 06:46 AM - Lukas Zapletal

- Related to Bug #14980: Unused_ip AJAX request fails: undefined method `from' for #<IPAM::Dhcp..> added

#24 - 05/10/2016 07:07 AM - Dominic Cleal

- Related to deleted (Bug #14980: Unused_ip AJAX request fails: undefined method `from' for #<IPAM::Dhcp..>)

#25 - 07/06/2016 10:34 AM - Timo Goebel

- Related to Feature #15590: Support IPv6 TFTP orchestration added

#26 - 07/07/2016 04:25 PM - Timo Goebel

- Related to Feature #15612: Support DHCPv6 provisioning added

#27 - 10/14/2016 11:01 AM - Timo Goebel

- Related to Feature #16951: Support IPv6 Compute Orchestration added

#28 - 01/02/2017 08:31 PM - Ewoud Kohl van Wijngaarden

- Related to Bug #17895: Foreman stores link local IPv6 address added
